Bug 1626474 - Handle service retirement date in service dialog
Summary: Handle service retirement date in service dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.5
Assignee: Greg McCullough
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1506712
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-07 12:27 UTC by Satoe Imaishi
Modified: 2018-11-05 13:59 UTC (History)
13 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1506712
Environment:
Last Closed: 2018-11-05 13:59:24 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:58 UTC

Comment 2 CFME Bot 2018-09-13 15:51:22 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/253ce78dfd0e53839189829c4688d526902582a8
commit 253ce78dfd0e53839189829c4688d526902582a8
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Thu Sep  6 15:54:59 2018 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Thu Sep  6 15:54:59 2018 -0400

    Merge pull request #16799 from gmcculloug/service_dialog_retirement

    Service retirement values from dialog
    (cherry picked from commit def0da55c254bd7386b1e1bd9c98f618e7ea7277)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1626474

 app/models/service.rb | 20 +-
 app/models/service/dialog_properties.rb | 21 +
 app/models/service/dialog_properties/retirement.rb | 101 +
 app/models/service_template.rb | 28 +-
 spec/models/service/dialog_properties/retirement_spec.rb | 145 +
 spec/models/service/dialog_properties_spec.rb | 40 +
 spec/models/service_template_spec.rb | 15 +-
 7 files changed, 330 insertions(+), 40 deletions(-)

Comment 3 Shveta 2018-10-02 16:20:22 UTC
Verified in 5.9.5.0.20180927190514_e161d8f.
Fixed

Comment 5 errata-xmlrpc 2018-11-05 13:59:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.